Issue 9814

Title
Product template search bar showing non serchable product.product function fields as recomendation
Priority
bug
Status
resolved
Nosy list
albertca, ced, jared-nan, reviewbot, roundup-bot
Assigned to
ced
Keywords
review

Created on 2020-11-10.11:08:29 by jared-nan, last changed 1 month ago by roundup-bot.

Messages

New changeset fbcb5b79b3a9 by Cédric Krier in branch '5.8':
Set searchable for template function field
https://hg.tryton.org/modules/product/rev/fbcb5b79b3a9

New changeset c861f7380833 by Cédric Krier in branch '5.6':
Set searchable for template function field
https://hg.tryton.org/modules/product/rev/c861f7380833
New changeset c425053522ea by Cédric Krier in branch 'default':
Set searchable for template function field
https://hg.tryton.org/tryton-env/rev/c425053522ea
New changeset 95e8e2530237 by Cédric Krier in branch 'default':
Set searchable for template function field
https://hg.tryton.org/modules/product/rev/95e8e2530237
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-03-13.02:51:05

Here is review335831002 which solves the comments.

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-11-10.12:44:34

So it happens only for nested field? You have to help us to understand the issue by giving as much as possible information.

Author: [hidden] (jared-nan)
Date: 2020-11-10.11:37:11

Example:
https://demo5.8.tryton.org/
Products
search "Variants.Cost Price Method": Fixed

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-11-10.11:14:01

Please provide an example?

Author: [hidden] (jared-nan)
Date: 2020-11-10.11:08:29

In the product.template search bar of SAO it shows that you can search function fields of the product.product that don't have searcher, so it shows a traceback.

History
Date User Action Args
2021-04-10 01:42:55roundup-botsetkeyword: - backport
messages: + msg66254
2021-03-24 00:03:00roundup-botsetmessages: + msg65810
2021-03-24 00:02:33roundup-botsetmessages: + msg65809
nosy: + roundup-bot
status: testing -> resolved
2021-03-13 03:11:34reviewbotsetmessages: + msg65468
2021-03-13 02:51:05cedsetassignedto: jared-nan -> ced
keyword: + backport
messages: + msg65467
reviews: 296861002 -> 296861002,335831002
status: in-progress -> testing
2020-12-05 12:13:47cedsetstatus: need-eg -> in-progress
2020-11-10 12:44:34cedsetmessages: + msg61805
2020-11-10 12:28:56reviewbotsetmessages: + msg61804
nosy: + reviewbot
2020-11-10 12:28:40jared-nansetkeyword: + review
reviews: 296861002
2020-11-10 11:37:11jared-nansetmessages: + msg61799

Showing 10 items. Show all history (warning: this could be VERY long)